Create Quote
1 min
POST
https://api.upstartcommerce.com/v1/quote
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe request body must contain the details of the quotes.
201<p>Success-quote created.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
409The copy of the resource you are modifying has been changed on the server. This request has not been processed to prevent data loss.
curl --request POST \
--url https://api.upstartcommerce.com/v1/quote \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"customer": {
"name": {
"first": "John",
"last": "Smith"
},
"shippingAddress": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
}
},
"salesAssociate": {
"id": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"currency": "",
"items": [
{
"skuId": "",
"quantity": "",
"validationMessages": [
{
"level": "",
"code": ""
}
]
}
],
"storeLocationId": "",
"externalId": ""
}'